# Created by pyp2rpm-3.3.1
%global pypi_name mwparserfromhell

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.6.6
Release:        %mkrel 3
Summary:        MWParserFromHell is a parser for MediaWiki wikicode
Group:          Development/Python
License:        MIT
URL:            https://github.com/earwig/mwparserfromhell
Source0:        https://github.com/earwig/mwparserfromhell/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
mwparserfromhell (the *MediaWiki Parser from Hell*) is a
Python package that provides an easy-to-use and outrageously powerful parser
for MediaWiki wikicode. It supports Python 2 and Python 3.Developed by Earwig
with contributions from Σ, Legoktm, and others. Full documentation is
available on ReadTheDocs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
mwparserfromhell (the *MediaWiki Parser from Hell*) is a
Python package that provides an easy-to-use and outrageously powerful parser
for MediaWiki wikicode. It supports Python 2 and Python 3.Developed by Earwig
with contributions from Σ, Legoktm, and others. Full documentation is
available on ReadTheDocs.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mwparserfromhell

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Fri Dec 27 2024 papoteur <papoteur> 0.6.6-3.mga10
+ Revision: 2130427
- add and use pytest

* Fri Feb 16 2024 papoteur <papoteur> 0.6.6-2.mga10
+ Revision: 2041863
- new version 0.6.6
- rebuild for python 3.12
- rebuild for python 3.12

* Sat Mar 19 2022 umeabot <umeabot> 0.6.4-2.mga9
+ Revision: 1799282
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.6.4-1.mga9
+ Revision: 1783705
- BR python3dist(pip) python3dist(wheel)
- version 0.6.4
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.5.4-2.mga9
+ Revision: 1717265
- rebuild for python 3.9

* Thu Apr 09 2020 kekepower <kekepower> 0.5.4-1.mga8
+ Revision: 1565693
- Update to version 0.5.4

* Sun Feb 16 2020 umeabot <umeabot> 0.5.2-3.mga8
+ Revision: 1533027
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.5.2-2.mga8
+ Revision: 1443247
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 0.5.2-1.mga7
+ Revision: 1351168
- Update to version 0.5.2

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1300532
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 kekepower <kekepower> 0.5.1-1.mga7
+ Revision: 1217350
- Update to version 0.5.1

* Fri Mar 30 2018 kekepower <kekepower> 0.5-1.mga7
+ Revision: 1213615
- imported package python-mwparserfromhell

